Package org.gradle.plugin.use

## Interface PluginId

-     public interface PluginId

  A description of a plugin.
  Since:
    3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` | The fully qualified plugin ID.
    `java.lang.String` | `getName()` | The plugin name without the namespace.
    `java.lang.String` | `getNamespace()` | The namespace of the plugin or `null` if the ID contains no `.`.
    `PluginId` | `withNamespace​(java.lang.String namespace)` | Takes this unqualified plugin ID and adds a namespace.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      The fully qualified plugin ID.

    - #### getNamespace

          @Nullable
          java.lang.String getNamespace()

      The namespace of the plugin or `null` if the ID contains no `.`.

    - #### getName

          java.lang.String getName()

      The plugin name without the namespace.

    - #### withNamespace

          PluginId withNamespace​(java.lang.String namespace)

      Takes this unqualified plugin ID and adds a namespace.
      Parameters:
        `namespace` - the namespace to add.
      Returns:
        the plugin ID qualified with the given namespace
      Throws:
        `java.lang.IllegalArgumentException` - if the ID already had a namespace